Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Apr 2023 08:44:54 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Philip Kaludercic <[email-masked]>,  [email-masked],
>   [email-masked],  Lars Ingebrigtsen <[email-masked]>
> Date: Tue, 11 Apr 2023 15:44:22 -0400
> 
> > Thanks.  I've just tested 'M-x package-update-all' with my patch.  It
> > updates the built-in and the manually installed packages that can be
> > updated.  It _doesn't_ install any packages that weren't installed yet,
> > of course.
> 
> Hmm... it might make sense to treat builtins specially in this respect.
> Of course, maybe it's OK, but for some reason I feel a bit uncomfortable
> with the idea that `M-x package-update-all` would update all the
> `:core` packages.
> 
> I'm not sure why, admittedly, but I think it comes down to the fact that
> the first upgrade of a `:core` package from GNU ELPA feels to me more
> like an "install" than an "upgrade".

Which means my proposal of adding a new command
package-update-core-package makes more and more sense: we will
probably need to handle such packages specially for any number of
reasons, more so as we go with our plan to have them only on ELPA and
"bundle" them when the release is tarred.  So having such a command
now will be a good investment for the future.

Philip, if this makes sense, would you please add such a command on
the emacs-29 branch?  If the exact purpose and effects of the command
are not clear yet, let's talk about it and finalize that.

Thanks.